Page MenuHomePhabricator

Add new user group for rollback and patrol to cswiki
Closed, ResolvedPublic

Description

There is a consensus in cswiki in RFC (Wikipedie:Žádost o komentář/Rollback) and in discussion about our new rule about adding two new user groups. First we want to add user group named Revertéři in Czech. They will be able to use rollback. Second we want to add user group named Patroláři in Czech. They will have patrol and patrolmarks permission and will be able to use Special:UnwatchedPages. Our sysops will be able to add and remove users to/from this user group. Thank you.

Details

Related Gerrit Patches:
operations/mediawiki-config : masterNew user groups configuration for cswiki

Event Timeline

Urbanecm created this task.Feb 14 2016, 6:50 PM
Urbanecm raised the priority of this task from to Needs Triage.
Urbanecm updated the task description. (Show Details)
Urbanecm added a subscriber: Urbanecm.
Restricted Application added subscribers: JEumerus, StudiesWorld, Matanya, Aklapper. · View Herald TranscriptFeb 14 2016, 6:50 PM
MarcoAurelio triaged this task as Medium priority.
MarcoAurelio added a comment.EditedFeb 14 2016, 7:18 PM

Hi! It looks inconsistent with current's wiki configuration:

'+cswiki' => array(
		'bureaucrat' => array( 'arbcom', 'autopatrolled' ), // T63418
	),

That means that bureaucrats are the sole users able to add autopatrolled rights from accounts, but you wish that sysops be allowed to add patrollers, an usergroup which has more permissions?

Please advice. Thank you!

MichalBelka added a comment.EditedFeb 14 2016, 7:41 PM

Hi, I don't see this as an obstacle.

It's very unlikely that a user who hadn't already received the autopatrolled right (from a bureaucrat) would apply to be a patroller - and even if so, his request would fail. I'm editing the final version of the main rule proposal right know and will add "autopatrolled" right as a prerequisite for those applying for that role.

The reason why our community discussion led to a conclusion that sysops should be allowed to add/remove the rights was that in case of emergency, the rights need to be removed as soon as possible and there's always a better chance to catch one of 30 sysops than one of a few 'crats (especially because you can't prevent a user from using patroll/rollback by blocking him).

Thanks for your reply @MichalBelka :-)

Change 270645 had a related patch set uploaded (by MarcoAurelio):
New user groups configuration for cswiki

https://gerrit.wikimedia.org/r/270645

Change 270645 merged by jenkins-bot:
New user groups configuration for cswiki

https://gerrit.wikimedia.org/r/270645

Mentioned in SAL [2016-02-17T16:09:28Z] <anomie@tin> Synchronized wmf-config/InitialiseSettings.php: SWAT: New userrights and configuration for cswiki (task [[phab:T126931|]]) (duration: 01m 31s)

MarcoAurelio closed this task as Resolved.Feb 17 2016, 4:21 PM

Deployed. From what I can see at cs:Special:ListGroupRights, all new userrights are now working and can be enabled/removed by sysops. It'd be good if a sysop could check themselves just be sure, as I don't feel I should be using my steward access to check it myself. Best regards.

It works. Thank you!